aboutsummaryrefslogtreecommitdiff
path: root/testsuite/tail.tests
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2009-08-09 22:06:56 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2009-08-09 22:06:56 +0200
commita43df64eec6d02812b40d7e01edbeb47539866db (patch)
tree591a7f6a995901fbbc8d4f893c48b565d6cac888 /testsuite/tail.tests
parent0568b6e45aa59c72815378134715232fd11d9100 (diff)
downloadbusybox-a43df64eec6d02812b40d7e01edbeb47539866db.tar.gz
tail: fix "tail +N file_shorter_than_N"
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'testsuite/tail.tests')
-rwxr-xr-xtestsuite/tail.tests17
1 files changed, 17 insertions, 0 deletions
diff --git a/testsuite/tail.tests b/testsuite/tail.tests
new file mode 100755
index 000000000..d97bf7bbe
--- /dev/null
+++ b/testsuite/tail.tests
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Copyright 2009 by Denys Vlasenko <vda.linux@googlemail.com>
+# Licensed under GPL v2, see file LICENSE for details.
+
+. testing.sh
+
+# testing "test name" "command" "expected result" "file input" "stdin"
+# file input will be file called "input"
+# test can create a file "actual" instead of writing to stdout
+
+testing "tail: +N with N > file length" \
+ "tail -c +55 2>&1; echo \$?" \
+ "0\n" \
+ "" "qw"
+
+exit $FAILCOUNT